Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1816110 - [abrt] pipewire: impl_node_port_enum_params(): pipewire-media-session killed by SIGSEGV
Summary: [abrt] pipewire: impl_node_port_enum_params(): pipewire-media-session killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:83e6fcb2b59c6ec7a78c1a50acc...
: 1815668 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-23 11:25 UTC by Ovidio
Modified: 2020-04-02 00:31 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.2-3.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-02 00:31:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: core_backtrace (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: cpuinfo (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: dso_list (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: environ (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: exploitable (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: limits (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: maps (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: mountinfo (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: open_fds (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details
File: proc_pid_status (deleted)
2020-03-23 11:25 UTC, Ovidio
no flags Details

Description Ovidio 2020-03-23 11:25:18 UTC
Description of problem:
Was trying to connect to a bluetooth speaker

Version-Release number of selected component:
pipewire-0.3.1-1.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/pipewire.service
cmdline:        exec pipewire-media-session
crash_function: impl_node_port_enum_params
executable:     /usr/bin/pipewire-media-session
journald_cursor: s=34761549a12340889ffd56c435bb24bb;i=10b87;b=9fc502dfc9bb41f392d531b6ecd5d764;m=2380fa196;t=5a183a8c42b3c;x=235479fb8122d6ec
kernel:         5.6.0-0.rc6.git0.1.vanilla.knurd.1.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 impl_node_port_enum_params at ../spa/plugins/bluez5/a2dp-sink.c:1043
 #1 spa_node_port_enum_params_sync at ../spa/include/spa/node/utils.h:102
 #2 impl_node_enum_params at ../spa/plugins/audioconvert/audioadapter.c:124
 #3 spa_node_enum_params_sync at ../spa/include/spa/node/utils.h:70
 #4 add_node_update at ../src/modules/module-client-node/remote-node.c:306
 #5 emit_info_changed at ../src/pipewire/impl-node.c:215
 #7 node_info at ../src/pipewire/impl-node.c:1132
 #8 emit_node_info at ../spa/plugins/audioconvert/audioadapter.c:198
 #10 follower_port_info at ../spa/plugins/audioconvert/audioadapter.c:630
 #11 emit_port_info at ../spa/plugins/bluez5/a2dp-sink.c:947

Comment 1 Ovidio 2020-03-23 11:25:23 UTC
Created attachment 1672634 [details]
File: backtrace

Comment 2 Ovidio 2020-03-23 11:25:25 UTC
Created attachment 1672635 [details]
File: core_backtrace

Comment 3 Ovidio 2020-03-23 11:25:27 UTC
Created attachment 1672636 [details]
File: cpuinfo

Comment 4 Ovidio 2020-03-23 11:25:29 UTC
Created attachment 1672637 [details]
File: dso_list

Comment 5 Ovidio 2020-03-23 11:25:31 UTC
Created attachment 1672638 [details]
File: environ

Comment 6 Ovidio 2020-03-23 11:25:34 UTC
Created attachment 1672639 [details]
File: exploitable

Comment 7 Ovidio 2020-03-23 11:25:36 UTC
Created attachment 1672640 [details]
File: limits

Comment 8 Ovidio 2020-03-23 11:25:38 UTC
Created attachment 1672641 [details]
File: maps

Comment 9 Ovidio 2020-03-23 11:25:40 UTC
Created attachment 1672642 [details]
File: mountinfo

Comment 10 Ovidio 2020-03-23 11:25:42 UTC
Created attachment 1672643 [details]
File: open_fds

Comment 11 Ovidio 2020-03-23 11:25:44 UTC
Created attachment 1672644 [details]
File: proc_pid_status

Comment 12 Wim Taymans 2020-03-26 12:21:44 UTC
*** Bug 1815668 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2020-03-26 12:23:52 UTC
FEDORA-2020-49131317ba has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49131317ba

Comment 14 Fedora Update System 2020-03-27 15:58:01 UTC
FEDORA-2020-49131317ba has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-49131317ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-49131317ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-03-31 01:52:13 UTC
FEDORA-2020-ee13748337 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ee13748337`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee13748337

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-03-31 14:31:45 UTC
FEDORA-2020-55feb0af46 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-55feb0af46

Comment 17 Fedora Update System 2020-04-01 02:15:05 UTC
FEDORA-2020-55feb0af46 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-55feb0af46`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-55feb0af46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-04-02 00:31:48 UTC
FEDORA-2020-55feb0af46 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.